import request from '@/utils/request'

// 获取坐席外呼列表数据
export function getCallOutList (params) {
  return request({
    url: 'callcenterapi/api/MWAgentCalloutRecord/getlistbypage',
    method: 'get',
    params
  })
}

// 获取坐席三方通话列表数据
export function getThreeCallList (params) {
  return request({
    url: 'callcenterapi/api/MWAgentConferenceRecord/getlistbypage',
    method: 'get',
    params
  })
}

// 获取坐席状态列表数据
export function getCallStateList (params) {
  return request({
    url: 'callcenterapi/api/MWAgentStateRecord/getlistbypage',
    method: 'get',
    params
  })
}

// 获取坐席转移列表数据
export function getCallTransferList (params) {
  return request({
    url: 'callcenterapi/api/MWAgentTransferRecord/getlistbypage',
    method: 'get',
    params
  })
}

// 获取分机呼入列表数据
export function getExtCallinList (params) {
  return request({
    url: 'callcenterapi/api/MWExtCallinRecord/getlistbypage',
    method: 'get',
    params
  })
}

// 获取中继呼入列表数据
export function getMwtCallinList (params) {
  return request({
    url: 'callcenterapi/api/MWTrunkCallinRecord/getlistbypage',
    method: 'get',
    params
  })
}

// 获取自动外呼列表数据
export function getAutoCallOutList (params) {
  return request({
    url: 'callcenterapi/api/MWAutocallCallRecord/getlistbypage',
    method: 'get',
    params
  })
}

// 获取坐席小休列表数据
export function getSeatRestList (params) {
  return request({
    url: 'callcenterapi/api/MWAgentReposeRecord/getlistbypage',
    method: 'get',
    params
  })
}

// 获取通话记录数据
export function getCallRecords (params) {
  return request({
    url: 'api/CallRecords/getlistbypage',
    method: 'post',
    params
  })
}

// 获取IVR呼出数据
export function getIVRCalloutRecord (params) {
  return request({
    url: 'callcenterapi/api/MWIVRCalloutRecord/getlistbypage',
    method: 'get',
    params
  })
}
